Get deposit instructions for an account
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/deposit-instructions/{assetType} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/deposit-instructions/{assetType}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/deposit-instructions/{assetType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"assetType": "USD",
"rails": [
{
"railType": "WIRE",
"bankName": "Anchorage Digital Bank, NA",
"bankAccountNumber": 123456789,
"bankRoutingNumber": "021000021",
"bankSwiftCode": "CHASUS33",
"bankAddress": "270 Park Avenue, New York, NY 10017",
"beneficiaryName": "John Smith",
"beneficiaryAddress": "1220 Rosecrans Ave, Manhattan Beach, CA 90266"
}
]
}Get deposit instructions for an account
Permissions required: Create addresses
Retrieve deposit instructions for a single asset this account can receive deposits in, fiat or crypto. If this account has no deposit instructions yet for the requested asset, they are created on demand and returned.
GET
/
accounts
/
{accountId}
/
deposit-instructions
/
{assetType}
Get deposit instructions for an account
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/deposit-instructions/{assetType} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/deposit-instructions/{assetType}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/deposit-instructions/{assetType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"assetType": "USD",
"rails": [
{
"railType": "WIRE",
"bankName": "Anchorage Digital Bank, NA",
"bankAccountNumber": 123456789,
"bankRoutingNumber": "021000021",
"bankSwiftCode": "CHASUS33",
"bankAddress": "270 Park Avenue, New York, NY 10017",
"beneficiaryName": "John Smith",
"beneficiaryAddress": "1220 Rosecrans Ave, Manhattan Beach, CA 90266"
}
]
}Path Parameters
Response
successful
Deposit instructions for a single asset, across all rails this account supports for it.
Was this page helpful?